[Tizen-submit] 16227: New package Tizen:IVI:Release/osp-appfw

noreply at tizen.org noreply at tizen.org
Fri Oct 18 10:47:46 GMT 2013


Hi,
Adding new package osp-appfw in project Tizen:IVI:Release. Please review and accept ASAP.

Justification for this new package:

Submitter: Young Ik Cho <youngik.cho at samsung.com>
Comments: appfw submit with app-controls
Git project: platform/framework/native/appfw
Tag: submit/tizen/20131018.104803
Commit: dffe74eebb910868c7bddf38cef48a3d9d108904 Merge "Fix accessing freed memory in X509CertificateStore::Update()" into tizen

Thank You,
Young Ik Cho

[This message was auto-generated]

---

Request: #16227

  submit:       Tizen:IVI:Release:build/osp-appfw(cleanup) -> Tizen:IVI:Release


Message:
Submitter: Young Ik Cho <youngik.cho at samsung.com>
Comments: appfw submit with app-controls
Git project: platform/framework/native/appfw
Tag: submit/tizen/20131018.104803
Commit: dffe74eebb910868c7bddf38cef48a3d9d108904 Merge "Fix accessing freed memory in X509CertificateStore::Update()" into tizen

State:   new        2013-10-18T10:45:58 tizenrobot
Comment: <no comment>
changes files:
--------------

++++++ new changes file:
--- osp-appfw.changes
+++ osp-appfw.changes
@@ -0,0 +1,5 @@
+* Thu May 23 2013 Rusty Lynch <rusty.lynch at intel.com> accepted/tizen/20130522.164623 at f27a7d5
+- Reenable debuginfo
+
+* Tue May 21 2013 Rusty Lynch <rusty.lynch at intel.com> accepted/tizen/20130520.101503 at 1cb15e4
+- Add build dep on libxml-1.0

new:
----
  osp-appfw-1.2.2.1.tar.gz
  osp-appfw.changes
  osp-appfw.manifest
  osp-appfw.spec

spec files:
-----------

++++++ new spec file:
--- osp-appfw.spec
+++ osp-appfw.spec
@@ -0,0 +1,204 @@
+Name:           osp-appfw
+Version:        1.2.2.1
+Release:        1
+VCS:            platform/framework/native/appfw#submit/tizen/20131018.104803-0-gdffe74eebb910868c7bddf38cef48a3d9d108904
+License:        Apache-2.0 or Flora
+Summary:        The App Framework library of OSP
+Url:            https://review.tizen.org/git/?p=platform/framework/native/appfw.git;a=summary
+Group:          Application Framework/Libraries
+Source0:        %{name}-%{version}.tar.gz
+Source1001:     osp-appfw.manifest
+BuildRequires:  boost-devel
+BuildRequires:  capi-security-privilege-manager-devel
+BuildRequires:  cmake
+BuildRequires:  gettext-tools
+BuildRequires:  privacy-manager-client-devel
+BuildRequires:  pkgconfig(alarm-service)
+BuildRequires:  pkgconfig(appinfo) >= 0.1.0
+BuildRequires:  pkgconfig(appsvc)
+BuildRequires:  pkgconfig(aul)
+BuildRequires:  pkgconfig(badge)
+BuildRequires:  pkgconfig(bundle)
+BuildRequires:  pkgconfig(capi-appfw-app-manager)
+BuildRequires:  pkgconfig(capi-appfw-application)
+BuildRequires:  pkgconfig(capi-appfw-package-manager)
+BuildRequires:  pkgconfig(capi-content-mime-type)
+BuildRequires:  pkgconfig(capi-media-sound-manager)
+BuildRequires:  pkgconfig(capi-network-bluetooth)
+BuildRequires:  pkgconfig(capi-network-serial)
+BuildRequires:  pkgconfig(capi-network-tethering)
+BuildRequires:  pkgconfig(capi-network-wifi)
+BuildRequires:  pkgconfig(capi-network-wifi-direct)
+BuildRequires:  pkgconfig(capi-system-device)
+BuildRequires:  pkgconfig(capi-system-info)
+BuildRequires:  pkgconfig(capi-system-media-key)
+BuildRequires:  pkgconfig(capi-system-power)
+BuildRequires:  pkgconfig(capi-system-runtime-info)
+BuildRequires:  pkgconfig(capi-system-system-settings)
+BuildRequires:  pkgconfig(capi-telephony-sim)
+BuildRequires:  pkgconfig(chromium)
+BuildRequires:  pkgconfig(dbus-1)
+BuildRequires:  pkgconfig(dbus-glib-1)
+BuildRequires:  pkgconfig(devman)
+BuildRequires:  pkgconfig(dlog)
+BuildRequires:  pkgconfig(dukgenerator)
+BuildRequires:  pkgconfig(ecore)
+BuildRequires:  pkgconfig(edbus)
+BuildRequires:  pkgconfig(edje)
+BuildRequires:  pkgconfig(eet)
+BuildRequires:  pkgconfig(efreet)
+BuildRequires:  pkgconfig(eina)
+BuildRequires:  pkgconfig(elementary)
+BuildRequires:  pkgconfig(ethumb)
+BuildRequires:  pkgconfig(evas)
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(haptic)
+BuildRequires:  pkgconfig(icu-i18n)
+BuildRequires:  pkgconfig(iniparser)
+BuildRequires:  pkgconfig(libpcre)
+BuildRequires:  pkgconfig(libprivilege-control)

Please refer to OBS webUI for more details about this SR.


More information about the Tizen-submit mailing list